:root {
    --primary-color: #facd4c;
    --secondary-color: #405752ff;
    --font-main: 'Montserrat', sans-serif;
    --scrollingiheight:20vh;
    --scrollingwidth: 95%;
    --img-width: calc(var(--scrollingiheight) * 16 / 9);
    --timing:290s;
}

body{
    margin: 0;
    padding: 0;
    font-family: var(--font-main);
    color: var(--secondary-color);
    background-image: url('background.png');
    background-size: cover;
    background-position: center;
    height: 100vh;
}   
.scrolling{
    display: block;
}

.construction{
    display: flex;
    flex-direction: column;
    padding-top: 4vh;
    /* justify-content: center; */
    align-items: center;
    justify-content: space-between;
    /* height: calc(100vh - var(--scrollingiheight)); */
    height: 60vh;
}
.construction a{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.phone-logo{
    display: none;
}

.desktop-logo{
    display: block;
    width: 40%;
    height: auto; 
}

.smaller{
    font-size: 1.2rem;
}

.bigger{
    font-size: 2.3rem;
}

.construction p{
    /* padding-top: 340px; */
    color: var(--primary-color);
    text-align: center;
    margin-top: 0.3rem;
    margin-bottom: 0.3rem;
}

.scrolling{
    padding: 1.2rem;
    background-color: white;
    max-width: var(--scrollingwidth);
    margin-inline: auto;
    display: flex;
    align-items: center;
    overflow: hidden;
    height: var(--scrollingiheight);
    mask-image: linear-gradient(
    to right,
        hsl(0 0% 0% / 0),
        hsl(0 0% 0% / 1) 5%,
        hsl(0 0% 0% / 1) 95%,
        hsl(0 0% 0% / 0)
    );
}

/* Select all the .items inside the wrapper when it's hovered */
.scrolling:hover .item{
    animation-play-state:paused;
}

.item{
    width: var(--img-width);
    height: var(--scrollingiheight);
    background-color: var(--primary-color);
    animation-name: scrollLeft;
    animation-duration: var(--timing);
    animation-timing-function: linear;
    animation-iteration-count: infinite;
}

.scrolling-track {
    display: flex;
    gap: 1.5rem; /* space between images */
    animation: marquee var(--timing) linear infinite;
}

@keyframes marquee {
    0% { transform: translateX(0); }
    100% { transform: translateX(-50%); } /* Adjust as needed for seamless loop */
}
/* ======================================================================================================= */
@media screen and (max-width: 945px) {

    .construction {
        /* height: 80vh; */
        /* padding-top: 12vh; */
        /* padding-bottom: 12vh; */
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: center;
    }

    .phone-logo{
        display: block;
        width: 20%;
        height: auto; 
    }

    .desktop-logo{
        display: none;
    }
    .scrolling{
        /* display: none; */
    }
    /* .construction p {
        position: static;
        top: auto;
        left: auto;
        transform: none;
        margin-top: 1.5rem;
        padding-top: 0;
        font-size: 1.5rem;
        max-width: 80%;    
        color: var(--primary-color);
        text-align: center;
    } */
}